#
# spec file for package perl-XML-LibXML (Version 1.66)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           perl-XML-LibXML
BuildRequires:  libxml2-devel perl-XML-LibXML-Common perl-XML-SAX perl-parent
Version:        2.0129
Release:        1.0.sles11.lc
Requires:       perl = %{perl_version} perl-XML-LibXML-Common perl-XML-SAX perl-parent
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Url:            http://www.cpan.org/modules/by-module/XML/
Summary:        XML::LibXML Perl Module
Source:         XML-LibXML-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module implements a Perl interface to the GNOME libxml2 library.
The libxml2 library provides interfaces for parsing and manipulating
XML files. This module allows Perl programmers to make use of the
highly capable validating XML parser and the high performance DOM
implementation.



%prep
%setup -q -n XML-LibXML-%{version}

%build
perl Makefile.PL
make

%check
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%doc %{_mandir}/man3/*
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/XML
/var/adm/perl-modules/%{name}

%changelog
* Sun Apr 16 2017 Stuart Raeburn <raeburn@loncapa.org>
- update to 2.0129
* Tue Feb  5 2008 anicka@suse.cz
- update to 1.66
  * Perl-thread support
  * make Reader interface require Perl 5.8
  * strip-off UTF8 flag with $node->toString($format,1) for
    consistent behavior independent on the actual document
    encoding
  * skip tests that require Encode module if not available
  * finally removed the iterator() method deprecated since 1.54
  * set_document_locator support in XML::LibXML::SAX::Parser
  * XML::LibXML::Namespace API fixed in order to achieve
    an agreement between the docs and the implementation
  * added support for exclusive canonicalization
    (http://www.w3.org/TR/xml*exc-c14n/)
  * bugfixes, test fixes, documentation fixes
- enable tests in %%check section
* Fri Jun  1 2007 coolo@suse.de
- remove libxml2-test from buildrequires
* Wed Dec 13 2006 anicka@suse.cz
- update to 1.62001
  * interface to libxml2's pull-parser XML::LibXML::Reader
  * make error messages intended to the user report the line of the
    application call rather than that of the internal XS call
  * XML::LibXML::Attr->serializeContent added
  * fix getAttributeNode etc. w.r.t.
  * warn if runtime libxml2 is older than the one used at the
    compile time
  * if compiled against libxml2 >= 2.6.27, new parse_html_*
    implementation is used allowing encoding and other options
    to be passed to the parser
  * DOM-compliant nodeNames: #comment, #text, #cdata, #document,
    [#]document-fragment
  * toString on empty text node returns empty string, not undef
  * cloneNode copies attributes on an element as required
    by the DOM spec
* Mon Sep 25 2006 anicka@suse.cz
- update to 1.61
  * get{Elements,Children}By{TagName,TagNameNS,LocalName} now
    obey wildcards '*', getChildrenByLocalName was added.
  * XML::LibXML::XPathContext merged in
  * many new tests added
  * the module should now be fully compatibile with
    libxml2 >= 2.6.16
  * threads test skipped by default
  * documentation updates
  * added setNamespaceDecl{URI,Prefix}
  * get/setAttribute(NS)? implementation made xmlns aware
  * all sub-modules have the same version as XML::LibXML
* Thu Sep 14 2006 anicka@suse.cz
- update to 1.60
  * remove the SGML parser code no longer supported by libxml
  * documentation and regression fixes and enhancements
  * added publicId and systemId methods to XML::LibXML::Dtd
  * new XML::LibXML::InputCallback class
  * new parser and callback code
  * bugfixes
* Wed Mar 15 2006 anicka@suse.cz
- require perl-XML-LibXML-Common and  perl-XML-SAX (#158024)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Aug 19 2004 mjancar@suse.cz
- update to 1.58
* Wed Mar  3 2004 mjancar@suse.cz
- initial version 1.57
